Skip to main content
POST
/
connectors
/
consumers
/
{consumer_id}
/
segments
/
{segment_id}
Adds to segment.
curl --request POST \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/segments/{segment_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/segments/{segment_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/segments/{segment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "associated_at": "2023-11-07T05:31:56Z",
  "id": "e2c32b4b-de61-459b-accf-a75f76247946",
  "name": "<string>",
  "reference": "MYBRAND-20180220-001"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

segment_id
string<uuid>
required

Unique reference of the segment

Response

Created

associated_at
string<date-time>

Date of the association.

id
string<uuid> | null

Unique ID of the object.

Example:

"e2c32b4b-de61-459b-accf-a75f76247946"

name
string

Name of the object

Maximum string length: 128
reference
string

Unique reference of the offer. Human readable, made out from the concatenation of the brand name + creation date + increment.

Example:

"MYBRAND-20180220-001"